/*------------------------------------------------------------
 * Mixins
 *------------------------------------------------------------*/

.border-radius( @size: 2px ) {
	border-radius: @size;
}

.placement( @position: absolute, @top: 0, @right: 0, @bottom: 0, @left: 0 ) {
	position: @position;
	top: @top;
	left: @left;
	right: @right;
	bottom: @bottom;
}

.ellipsis {
	white-space: nowrap;
	text-overflow: ellipsis;
	overflow: hidden;
	max-width: 100%;
}

.link-color(@color: @black, @hover: @primary-color) {
	color: @color;

	&:hover {
		color: @hover;
	}
}

.transition( @params: ~"all 0.3s cubic-bezier( 0.4, 0, 0.3, 1 )" ){
	-webkit-transition: @params;
	        transition: @params;
}

.animation ( @params ) {
	-webkit-animation: @params;
	        animation: @params;
}

.transform( @params ){
	-webkit-transform: @params;
	    -ms-transform: @params;
	        transform: @params;
}

.translate(@x:0,@y:0){
	-webkit-transform: translate(@x,@y);
	    -ms-transform: translate(@x,@y);
	        transform: translate(@x,@y);
}

.translate3d(@x:0,@y:0,@z:0){
	-webkit-transform: translate3d(@x,@y,@z);
	    -ms-transform: translate3d(@x,@y,@z);
	        transform: translate3d(@x,@y,@z);
}

.translateX(@x:0){
	-webkit-transform: translateX(@x);
	    -ms-transform: translateX(@x);
	        transform: translateX(@x);
}

.translateY(@y:0){
	-webkit-transform: translateY(@y);
	    -ms-transform: translateY(@y);
	        transform: translateY(@y);
}

.gradient (@origin: 0deg, @color_start:#000, @start: 0%, @color_end:#fff, @end: 100%) {
	background-position: 50% 50%;
	background-color: @color_start;
	background-image: linear-gradient(@origin,@color_start @start,@color_end @end);
}
